<!DOCTYPE html>
<html lang="fr">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Champi</title>
    <link rel="icon" type="image/png" href="./images/champignon.ico" />
    <link rel="stylesheet" type="text/css" href="./styles/globaleStyles.css" />
    <link rel="stylesheet" type="text/css" href="./styles/style.css" />
  </head>
  <body>
    <!-- NAVIGATION -->
    <div class="box">
      <div class="box1">
        <button class="boutonAccueil"><a href="/">Accueil</a></button>
        <button class="boutonAccueil">
          <a href="/pageRelay.html">Gestion Relay</a>
        </button>
        <button class="boutonAccueil">
          <a href="/pageCourbes.html">Courbe</a>
        </button>
      </div>
      <!-- FIN NAVIGATION -->

      <!-- MAIN -->
      <div class="box2">
        <div class="box2Title">Gestion des relays</div>

        <!-- EAU AU SOL -->
        <div class="boxRelayContent">
          <div class="boxCardRelay_1">
            <div class="boxCardRelayData">
              <div class="boxCardRelayTitle">Eau au sol</div>
              <button
                id="btnRelayEauSol"
                onclick="toggleRalayEauSol()"
                class="boutonActivation"
              >
                Activation
              </button>
            </div>
          </div>
          <!-- FIN EAU AU SOL -->

          <!-- VENTILATEUR HUMIDITÉ -->
          <div class="boxCardRelay_2">
            <div class="boxCardRelayData">
              <div class="boxCardRelayTitle">Ventilateur humidité</div>
              <button
                onclick="ventilateurHumiditeOn()"
                class="boutonActivation"
              >
                Activation
              </button>
              <button
                onclick="ventilateurHumiditeOff()"
                class="boutonDeactivation"
              >
                Déactivation
              </button>
            </div>
          </div>
          <!-- FIN VENTILATEUR HUMIDITÉ -->

          <!-- ETAT VANNE FROID -->
          <div class="boxCardRelay_3">
            <div class="boxCardRelayData">
              <div id="etatRelay" class="boxCardRelayTitle"></div>

              <div class="boxCardRelay_3Box">
                <div class="buttonBox">
                  <div class="buttonBoxTitle">Action à 5 secondes</div>
                  <button
                    onclick="vanneFroid5SesoncdesOn()"
                    class="boutonActivation"
                  >
                    Ouverture
                  </button>
                  <button
                    onclick="vanneFroid5SesoncdesOff()"
                    class="boutonDeactivation"
                  >
                    Fermeture
                  </button>
                </div>

                <div class="buttonBox">
                  <div class="buttonBoxTitle">Action à 40 secondes</div>
                  <button
                    onclick="vanneFroid40SesoncdesOn()"
                    class="boutonActivation"
                  >
                    Ouverture
                  </button>
                  <button
                    onclick="vanneFroid40SesoncdesOff()"
                    class="boutonDeactivation"
                  >
                    Fermeture
                  </button>
                </div>
              </div>
            </div>
          </div>
          <!-- FIN ETAT VANNE FROID -->
        </div>
      </div>

      <!-- FIN MAIN -->
    </div>

    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/axios/0.25.0/axios.js"
      integrity="sha512-II/TvxJGs27N3NEu/WWRFtyhBdSByZwS5ovX1vHXVsi2JXj0I5hRvHwgBPKbzZDk0wsKVDoEUEI8rAYGEF394A=="
      crossorigin="anonymous"
      referrerpolicy="no-referrer"
    ></script>

    <script>
      // Actualiser la page actuelle.

      setInterval(() => {
        window.location.reload();
      }, 1800000);

      let myDate = new Date();
      let date = myDate.toLocaleString();

      console.log('Page actualisée le : ' + date);
    </script>

    <script>
      // 1) GESTION RELAY EAU AU SOL.

      let boutonToggleEauSol = 0;

      let toggleRalayEauSol = () => {
        if (boutonToggleEauSol === 0) {
          boutonToggleEauSol = 1;
          console.log('valeur du bouton' + boutonToggleEauSol);

          let element = document.getElementById('btnRelayEauSol');

          element.style.backgroundColor = 'green';

          element.innerHTML = 'Activation';

          axios
            .post('http://localhost:3003/api/relayRoutes/relayEau/', {
              relayEau: boutonToggleEauSol,
            })
            .then(function (response) {
              console.log(response);
            })
            .catch(function (error) {
              console.log(error);
            });

          setTimeout(() => {
            boutonToggleEauSol = 0;
            console.log('valeur du bouton' + boutonToggleEauSol);

            let element = document.getElementById('btnRelayEauSol');

            element.style.backgroundColor = 'red';

            element.innerHTML = 'Déactivation';

            axios
              .post('http://localhost:3003/api/relayRoutes/relayEau/', {
                relayEau: boutonToggleEauSol,
              })
              .then(function (response) {
                console.log(response);
              })
              .catch(function (error) {
                console.log(error);
              });
          }, 120000);
        } else {
          boutonToggleEauSol = 0;
          console.log('valeur du bouton' + boutonToggleEauSol);

          let element = document.getElementById('btnRelayEauSol');

          element.style.backgroundColor = 'red';

          element.innerHTML = 'Déactivation';

          axios
            .post('http://localhost:3003/api/relayRoutes/relayEau/', {
              relayEau: boutonToggleEauSol,
            })
            .then(function (response) {
              console.log(response);
            })
            .catch(function (error) {
              console.log(error);
            });
        }
      };

      // FIN Gestion ralay eau au sol.

      // 2)  GESTION VENTILATEUR HUMIDITÉ.

      let ventilateurHumidite = 0;

      let ventilateurHumiditeOn = () => {
        //
        // console.log('Ventilateur Humidite ON');

        ventilateurHumidite = 1;

        axios
          .post('http://localhost:3003/api/relayRoutes/relayVentilo/', {
            relayVentilo: ventilateurHumidite,
          })
          .then(function (response) {
            console.log(response);
          })
          .catch(function (error) {
            console.log(error);
          });
      };

      let ventilateurHumiditeOff = () => {
        //
        // console.log('Ventilateur Humidite OFF');
        ventilateurHumidite = 0;

        axios
          .post('http://localhost:3003/api/relayRoutes/relayVentilo/', {
            relayVentilo: ventilateurHumidite,
          })
          .then(function (response) {
            console.log(response);
          })
          .catch(function (error) {
            console.log(error);
          });
      };

      // FIN Gestion Ventilateur humidité.

      // III) GESTION VANNE FROID ÉTAT.

      // * Mise a zro de l'étatvanne.

      let miseAZeroEtatVanne = () => {
        axios
          .post('http://localhost:3003/api/relayRoutes/miseAZeroEtatVanne/', {
            etatVanne: 'ZERO',
          })
          .then(function (response) {
            console.log(response);
          })
          .catch(function (error) {
            console.log(error);
          });
      };

      //! --------------------------------------------------

      // 1) Affichage de l'état de la vanne froid.

      let etatRelay;
      let etatRelayBrute;
      let etatRelayLocalStorage;

      let afficheEtatRelay = () => {
        axios
          .get('http://localhost:3003/api/gestionAirRoutes/getTemperatureAir/')
          .then(function (response) {
            etatRelayBrute = response.data.temperatureAir.etatRelay;
            console.log('etatRelayBrute ===> ' + etatRelayBrute);
            // console.log('etatRelayBrute ===> ' + typeof etatRelayBrute);
            etatRelayLocalStorage = etatRelayBrute;
          })
          // .then(() => {
          //   if (etatRelayBrute >= 40000) {
          //     etatRelayLocalStorage = 100;
          //     // console.log('Select etatRalayBDD : ' + etatRelayBrute);
          //     //
          //   } else if (etatRelayBrute == 35000) {
          //     etatRelayLocalStorage = 87.5;
          //     // console.log('Select etatRalayBDD : ' + etatRelayBrute);
          //     //
          //   } else if (etatRelayBrute == 30000) {
          //     etatRelayLocalStorage = 75;
          //     // console.log('Select etatRalayBDD : ' + etatRelayBrute);
          //     //
          //   } else if (etatRelayBrute == 25000) {
          //     etatRelayLocalStorage = 62.5;
          //     // console.log('Select etatRalayBDD : ' + etatRelayBrute);
          //     //
          //   } else if (etatRelayBrute == 20000) {
          //     etatRelayLocalStorage = 50;
          //     // console.log('Select etatRalayBDD : ' + etatRelayBrute);
          //     //
          //   } else if (etatRelayBrute == 15000) {
          //     etatRelayLocalStorage = 37.5;
          //     // console.log('Select etatRalayBDD : ' + etatRelayBrute);
          //     //
          //   } else if (etatRelayBrute == 10000) {
          //     etatRelayLocalStorage = 25;
          //     // console.log('Select etatRalayBDD : ' + etatRelayBrute);
          //     //
          //   } else if (etatRelayBrute == 5000) {
          //     etatRelayLocalStorage = 12.5;
          //     // console.log('Select etatRalayBDD : ' + etatRelayBrute);
          //     //
          //   } else if (etatRelayBrute <= 0) {
          //     etatRelayLocalStorage = 0;
          //     miseAZeroEtatVanne();
          //     // console.log('Select etatRalayBDD : ' + etatRelayBrute);
          //     //
          //   } else {
          //     console.log('Erreur d affichage');
          //     console.log('Select etatRalayBDD : ' + etatRelayBrute);
          //   }
          // })

          .then(() => {
            etatRelay = JSON.stringify(etatRelayLocalStorage);

            localStorage.setItem('Etat relay : ', etatRelay);

            document.getElementById('etatRelay').innerHTML =
              'Etat Vanne froid à : ' + etatRelay + '%';
          })
          .catch(function (error) {
            console.log(error);
          });
      };
      afficheEtatRelay();

      // 1) Gestion de vanne frois à 5 secondes.

      // ----------------- FROID 5 SECONDES ON --------------------------- //

      let vanneFroid5SesoncdesOn = () => {
        //
        let valeurEtatVanne;

        let captureEtatRelay = () => {
          axios
            .get(
              'http://localhost:3003/api/gestionAirRoutes/getTemperatureAir/'
            )
            .then(function (response) {
              // console.log(response.data.temperatureAir.actionRelay);

              valeurEtatVanne = response.data.temperatureAir.actionRelay;
              // console.log(
              //   'Valeur de la vanne au clic' + typeof valeurEtatVanne
              // );
              // console.log(
              //   'TYPE de valeur de la vanne au clic' + valeurEtatVanne
              // );
            })

            .then(() => {
              if (valeurEtatVanne == 1) {
                afficheEtatRelay();
                alert('ATTENTION!! ACTION VANNE EN COURS');
                return;
              } else if (etatRelayBrute >= 100) {
                alert('VANNE DEJA OUVERTE À 100%');
                return;
              } else {
                console.log('Vanne froid à 5 secondes ON');
                let etatVanne = 'ON';

                axios
                  .post(
                    'http://localhost:3003/api/relayRoutes/relayVanneFroid5SecondesOn/',
                    {
                      etatRelay: etatVanne,
                    }
                  )
                  .then(function (response) {
                    console.log(response.data);
                    console.log('Clic sur bouton ouverture à 5s');
                  })
                  .catch(function (error) {
                    console.log(error);
                  });
              }
            })
            .catch(function (error) {
              console.log(error);
            });
        };
        captureEtatRelay();

        setTimeout(() => {
          afficheEtatRelay();
        }, 6000);
      };
      //--------------------------------------------------------------

      // ----------------- FROID 5 SECONDES OFF --------------------------- //
      let vanneFroid5SesoncdesOff = () => {
        let valeurEtatVanne;

        let captureEtatRelay = () => {
          axios
            .get(
              'http://localhost:3003/api/gestionAirRoutes/getTemperatureAir/'
            )
            .then(function (response) {
              // console.log(response.data.temperatureAir.actionRelay);

              valeurEtatVanne = response.data.temperatureAir.actionRelay;
              // console.log(
              //   'Valeur de la vanne au clic' + typeof valeurEtatVanne
              // );
              // console.log(
              //   'TYPE de valeur de la vanne au clic' + valeurEtatVanne
              // );
            })

            .then(() => {
              if (valeurEtatVanne == 1) {
                afficheEtatRelay();
                alert('ATTENTION!! ACTION VANNE EN COURS');
                return;
              } else if (etatRelayBrute <= 0) {
                alert('VANNE DEJA FERMÉE');
              } else {
                // console.log('Vanne froid à 5 secondes OFF');
                let etatVanne = 'OFF';

                axios
                  .post(
                    'http://localhost:3003/api/relayRoutes/relayVanneFroid5SecondesOn/',
                    {
                      etatRelay: etatVanne,
                    }
                  )
                  .then(function (response) {
                    console.log(response.data);
                    console.log('Clic sur bouton fermeture à 5s');
                  })
                  .catch(function (error) {
                    console.log(error);
                  });
              }
            })
            .catch(function (error) {
              console.log(error);
            });
        };
        captureEtatRelay();

        setTimeout(() => {
          afficheEtatRelay();
        }, 6000);
      };

      // -----------------------------------------------------------------

      // 1) Gestion de vanne frois à 40 secondes.

      let vanneFroid40SesoncdesOn = () => {
        // console.log('Vanne froid à 40 secondes ON');

        let valeurEtatVanne;

        let captureEtatRelay = () => {
          axios
            .get(
              'http://localhost:3003/api/gestionAirRoutes/getTemperatureAir/'
            )
            .then(function (response) {
              // console.log(response.data.temperatureAir.actionRelay);

              valeurEtatVanne = response.data.temperatureAir.actionRelay;
              // console.log(
              //   'Valeur de la vanne au clic' + typeof valeurEtatVanne
              // );
              // console.log(
              //   'TYPE de valeur de la vanne au clic' + valeurEtatVanne
              // );
            })

            .then(() => {
              if (valeurEtatVanne == 1) {
                afficheEtatRelay();
                alert('ATTENTION!! ACTION VANNE EN COURS');
                return;
              } else if (etatRelayBrute >= 100) {
                alert('VANNE DEJA OUVERTE À 100%');
                return;
              } else {
                console.log('Vanne froid à 40 secondes ON');
                let etatVanne = 'ON';

                axios
                  .post(
                    'http://localhost:3003/api/relayRoutes/relayVanneFroid40SecondesOn/',
                    {
                      etatRelay: etatVanne,
                    }
                  )
                  .then(function (response) {
                    console.log(response.data);
                  })
                  .catch(function (error) {
                    console.log(error);
                  });
              }
            })
            .catch(function (error) {
              console.log(error);
            });
        };
        captureEtatRelay();

        setTimeout(() => {
          afficheEtatRelay();
        }, 40500);
      };

      let vanneFroid40SesoncdesOff = () => {
        // console.log('Vanne froid à 40 secondes OFF');

        let valeurEtatVanne;

        let captureEtatRelay = () => {
          axios
            .get(
              'http://localhost:3003/api/gestionAirRoutes/getTemperatureAir/'
            )
            .then(function (response) {
              // console.log(response.data.temperatureAir.actionRelay);

              valeurEtatVanne = response.data.temperatureAir.actionRelay;
              // console.log(
              //   'Valeur de la vanne au clic' + typeof valeurEtatVanne
              // );
              // console.log(
              //   'TYPE de valeur de la vanne au clic' + valeurEtatVanne
              // );
            })

            .then(() => {
              if (valeurEtatVanne == 1) {
                afficheEtatRelay();
                alert('ATTENTION!! ACTION VANNE EN COURS');
                return;
              } else if (etatRelayBrute <= 0) {
                alert('VANNE DEJA FERMÉE');
              } else {
                console.log('Vanne froid à 40 secondes OFF');

                let etatVanne = 'OFF';

                axios
                  .post(
                    'http://localhost:3003/api/relayRoutes/relayVanneFroid40SecondesOn/',
                    {
                      etatRelay: etatVanne,
                    }
                  )
                  .then(function (response) {
                    console.log(response.data);
                  })
                  .catch(function (error) {
                    console.log(error);
                  });
              }
            })
            .catch(function (error) {
              console.log(error);
            });
        };

        captureEtatRelay();

        setTimeout(() => {
          afficheEtatRelay();
        }, 40500);
      };
      // -----------------------------------------------------------------

      // FIN Gestion Vanne froid état.
    </script>
  </body>
</html>
